madkit.kernel

## Enum Scheduler.SimulationState

- java.lang.Object
- - java.lang.Enum<Scheduler.SimulationState>
  - - madkit.kernel.Scheduler.SimulationState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Scheduler.SimulationState>
  Enclosing class:
    Scheduler

      public static enum Scheduler.SimulationState
      extends java.lang.Enum<Scheduler.SimulationState>

  A simulation state. The simulation process managed by a scheduler agent can be in one of the following states:
  - `RUNNING`
    The simulation process is running normally.
  - `STEP`
    The scheduler will process one simulation step and then will be in the `PAUSED` state.
  - `PAUSED`
    The simulation is paused. This is the default state.
  Since:
    MaDKit 5.0
  Author:
    Fabien Michel
  See Also:
    `Scheduler.getSimulationState()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAUSED` The simulation is paused.
    `RUNNING` The simulation process is running normally.
    `SHUTDOWN` The simulation is ending
    `STEP` The scheduler will process one simulation step and then will be in the `PAUSED` state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scheduler.SimulationState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Scheduler.SimulationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUNNING

          public static final Scheduler.SimulationState RUNNING

      The simulation process is running normally.

    - #### STEP

          public static final Scheduler.SimulationState STEP

      The scheduler will process one simulation step and then will be in the `PAUSED` state.

    - #### PAUSED

          public static final Scheduler.SimulationState PAUSED

      The simulation is paused.

    - #### SHUTDOWN

          public static final Scheduler.SimulationState SHUTDOWN

      The simulation is ending

  - ### Method Detail

    - #### values

          public static Scheduler.SimulationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scheduler.SimulationState c : Scheduler.SimulationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scheduler.SimulationState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019